QT5 layer for openembedded
Clone or download
shr-project qt5-creator: strip few more useless rpaths
* fixes:
ERROR: qt5-creator-4.5.1-r0 do_package_qa: QA Issue:
qt5-creator: /work/core2-64-oe-linux/qt5-creator/4.5.1-r0/packages-split/qt5-creator/usr/lib/qt5/qtcreator/plugins/qmldesigner/libcomponentsplugin.so contains probably-redundant RPATH /usr/lib
qt5-creator: /work/core2-64-oe-linux/qt5-creator/4.5.1-r0/packages-split/qt5-creator/usr/lib/qt5/qtcreator/plugins/qmldesigner/libqtquickplugin.so contains probably-redundant RPATH /usr/lib
[useless-rpaths]

Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
Latest commit 66c49f8 Sep 19, 2018

README.md

Qt5 OpenEmbedded/Yocto Project layer

This layer depends on:

URI: https://github.com/openembedded/openembedded-core (branch: master)

When building stuff like qtdeclarative, qtquick, qtwebkit, make sure that you have required PACKAGECONFIG options enabled in qtbase build, see qtbase recipe for detail.

Contributing

Please submit any patches against the meta-qt5 layer by using the GitHub pull-request feature. Fork the repo, make a branch, do the work, rebase from upstream, create the pull request, yada-yada.

Maintainers

Yocto Project Compatible

Yocto Project Compatible

meta-qt5 has Yocto Project Compatible status since 2013. Check it at: https://www.yoctoproject.org/product/meta-qt5